Fazendo Dongle USB Bluetooh funcionar no Linux ou dicas de dispositivos compatíveis

Fala Galera! Só deixando minha contribuição aqui

Também tenho um Orico BTA-508 com bluetooth 5.0, estou usando o Pop!_OS 20.04 no kernel 5.11.0-7620-generic e o dongle não funcionava. Dai meu troubleshooting foi o seguinte:

Rodei o comando “sudo dmesg | grep Bluetooth” e vi que ele tentava carregar arquivo /lib/firmware/rtl_bt/rtl8761b_fw.bin porém não encontrava. Dai dei uma googlada e encontrei esse AUR (como já recomendaram aqui).

Eu baixei o arquivo, que veio originalmente com o nome rtl8761b_fw, renomeei para rtl8761b_fw.bin e movi para a pasta /lib/firmware/rtl_bt

Em seguida reconectei o dongle e o bluetooth passou a funcionar normalmente

1 curtida

Boa noite galera chegou meu adaptador bluetooth bta-403 recomendaram foi detectado no archlinux e estou assitindo videos e ouvindo musico sem fio com headphone. Tem loja do propio orico no aliexpress disponivel a venda para quem nao errar comprando adaptadores falsos baratinho por ai.

ERRATA: escrevi “reconectei o firmware”, mas quis dizer “reconectei o dongle” hehe

1 curtida

bluetooth 4.0 funciona normal problema é o 5.0 ou 5.1 eles só funciona no mx-21 linux AHS 64x ou se não me engano no pop Os resto das distros mesmo instalando manualmente o o driver para o rtl alguns casos funciona e quando funciona fica travando ou gerando paradas dai tem que reiniciar o sistema para voltar por enquanto no linux mesmo com kernel 5.16.10 funciona só o 4.0 de maneira lisa

Olá @clairtonmichel tudo bem contigo?

Isso vai depender do modelo do adaptador que você comprou, os modelos BTA-508 e 408 da Orico funcionam “plug and play” em distros com kernel acima do 5.15 e instalando manualmente o driver, funcionam em distros com kernel acima do 5.10. Já o modelo TP-Link UB400 é detectado automaticamente.

Eu tinha uma experiência semelhante usando um adaptador genérico 4.0 e nunca mais tive problemas ao pegar esse modelo da Orico, existe uma abundância de adaptadores fake à venda na internet e já encontrei relatos de vários casos de chips 2.0 remarcados como 4.0 para enganar o consumidor.

Por outro lado, o “protocolo” bluetooth 4.0 ou inferior realmente deixa a desejar em qualidade quando falamos de streaming de vídeo e áudio, dependendo do seu nível de exigência, somente um upgrade para algo da linha 5.x vai conseguir entregar a experiência esperada.

:vulcan_salute: